Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366783 - [abrt] caja: g_file_monitor_source_handle_event(): caja killed by SIGABRT
Summary: [abrt] caja: g_file_monitor_source_handle_event(): caja killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: caja
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7a4958a4c635efc418614875362...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 19:28 UTC by wolverine9827
Modified: 2017-05-01 17:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 17:54:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: cgroup (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: core_backtrace (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: dso_list (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: environ (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: limits (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: maps (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: mountinfo (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: namespaces (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: open_fds (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: proc_pid_status (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details
File: var_log_messages (deleted)
2016-08-12 19:29 UTC, wolverine9827
no flags Details

Description wolverine9827 2016-08-12 19:28:57 UTC
Description of problem:
Caja running with 2 panels pointing to two local file systems on same Logical Volume
Two bookmarks containing SMB links (external system is up and online) - not mounted at the time
EasyTag is loaded and I am performing a file scan to place the correct MP3 tags into files
The directory containing the mp3files is also visible in Caja - i.e. caja left pane on /data/000\ -\ RAW and right pane on /data/torrents, while EasyTag is modifying /data/000\ -\ RAW/directory-with-crapload-of-mp3s-to-tag

Also happened when KRename was doing a bulk file rename also in a subdir that was displayed in Caja caused Caja to crash


Version-Release number of selected component:
caja-1.14.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        caja --sm-client-id 1061cb2c553028e34414690784707134200000018180071 --sm-client-state-file /home/dsnyder/.config/session-state/caja-1470975507.desktop
crash_function: g_file_monitor_source_handle_event
executable:     /usr/bin/caja
global_pid:     31893
kernel:         4.6.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 g_file_monitor_source_handle_event at glocalfilemonitor.c:433
 #5 ih_event_callback at inotify-helper.c:201
 #6 ip_event_dispatch at inotify-path.c:493
 #7 ip_event_callback at inotify-path.c:547
 #8 ik_source_dispatch at inotify-kernel.c:321
 #12 g_main_context_iteration at gmain.c:3901
 #13 glib_worker_main at gmain.c:5672
 #14 g_thread_proxy at gthread.c:780

Comment 1 wolverine9827 2016-08-12 19:29:01 UTC
Created attachment 1190565 [details]
File: backtrace

Comment 2 wolverine9827 2016-08-12 19:29:02 UTC
Created attachment 1190566 [details]
File: cgroup

Comment 3 wolverine9827 2016-08-12 19:29:03 UTC
Created attachment 1190567 [details]
File: core_backtrace

Comment 4 wolverine9827 2016-08-12 19:29:04 UTC
Created attachment 1190568 [details]
File: dso_list

Comment 5 wolverine9827 2016-08-12 19:29:05 UTC
Created attachment 1190569 [details]
File: environ

Comment 6 wolverine9827 2016-08-12 19:29:06 UTC
Created attachment 1190570 [details]
File: limits

Comment 7 wolverine9827 2016-08-12 19:29:07 UTC
Created attachment 1190571 [details]
File: maps

Comment 8 wolverine9827 2016-08-12 19:29:09 UTC
Created attachment 1190572 [details]
File: mountinfo

Comment 9 wolverine9827 2016-08-12 19:29:10 UTC
Created attachment 1190573 [details]
File: namespaces

Comment 10 wolverine9827 2016-08-12 19:29:11 UTC
Created attachment 1190574 [details]
File: open_fds

Comment 11 wolverine9827 2016-08-12 19:29:12 UTC
Created attachment 1190575 [details]
File: proc_pid_status

Comment 12 wolverine9827 2016-08-12 19:29:13 UTC
Created attachment 1190576 [details]
File: var_log_messages

Comment 13 wolverine9827 2016-08-24 17:58:06 UTC
*** Bug 1369922 has been marked as a duplicate of this bug. ***

Comment 14 Wolfgang Ulbrich 2017-05-01 17:54:46 UTC
Mate-1.14 is EOL.


Note You need to log in before you can comment on or make changes to this bug.